Package org.opensaml.saml.saml2.core

# Interface RequestedAuthnContext

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `RequestedAuthnContextImpl`

public interface RequestedAuthnContext extends SAMLObject
SAML 2.0 Core RequestedAuthnContext.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COMPARISON_ATTRIB_NAME`
SessionIndex attribute name.
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`List<AuthnContextClassRef>`
`getAuthnContextClassRefs()`
Gets the AuthnContextClassRefs of this request.
`List<AuthnContextDeclRef>`
`getAuthnContextDeclRefs()`
Gets the AuthnContextDeclRefs of this request.
`AuthnContextComparisonTypeEnumeration`
`getComparison()`
Gets the Comparison attribute value of the requested authn context.
`void`
`setComparison(AuthnContextComparisonTypeEnumeration newComparison)`
Sets the Comparison attribute value of the requested authn context.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### COMPARISON_ATTRIB_NAME

@Nonnull @NotEmpty static final String COMPARISON_ATTRIB_NAME
SessionIndex attribute name.

See Also:
  - Constant Field Values

## Method Details

### getComparison

@Nullable AuthnContextComparisonTypeEnumeration getComparison()
Gets the Comparison attribute value of the requested authn context.

Returns:
  the Comparison attribute value of the requested authn context

### setComparison

void setComparison(@Nullable AuthnContextComparisonTypeEnumeration newComparison)
Sets the Comparison attribute value of the requested authn context.

Parameters:
  `newComparison` - the SessionIndex of this request

### getAuthnContextClassRefs

@Nonnull @Live List<AuthnContextClassRef> getAuthnContextClassRefs()
Gets the AuthnContextClassRefs of this request.

Returns:
  the AuthnContextClassRefs of this request

### getAuthnContextDeclRefs

@Nonnull @Live List<AuthnContextDeclRef> getAuthnContextDeclRefs()
Gets the AuthnContextDeclRefs of this request.

Returns:
  the AuthnContextDeclRef of this request